
/*
 * dummy_image_encode.c
 */

#include <stdio.h>
#include <fcntl.h>

extern int debug;
extern int verb;

void dump_to_file();

int 
convert_none(char *cur, int size, int xsize, int ysize, int *nxsize, int *nysize, char **new)
{
  *new = cur;
  *nxsize = xsize;
  *nysize = ysize;
  return size;
}

int
convert_jpeg(char *cur, int size, int xsize, int ysize, int *nxsize, int *nysize, char **new)
{
  char save_filename[256];
#define SAMPLE_JPEG_PATH "../dummy/photos"

  *new = cur;
  *nxsize = xsize;
  *nysize = ysize;

  if (verb) {
    sprintf(save_filename, "%s/debug-sample.jpg", SAMPLE_JPEG_PATH);
    dump_to_file(save_filename, cur, size);
  }

  return size;
}

void
dump_to_file(char *filename, char *image, int size)
{
  int fd, nw;

  if (debug)
    fprintf(stderr, "dump_to_file: save_filename# %s\n", filename);

  if ( (fd = open(filename, (O_WRONLY|O_CREAT|O_TRUNC), 0644)) < 0 ) {
    fprintf(stderr, "dump_to_file: cannot open %s:", filename);
    perror("open");
  }
  nw = write(fd, image, size);
  close(fd);

  if (debug)
    fprintf(stderr, "imagePtr# %x\n", image);
}

